### Method

# Cogl Framebuffer resolve_samples_region

#### Declaration [src]

    void
    cogl_framebuffer_resolve_samples_region (
      CoglFramebuffer* framebuffer,
      int x,
      int y,
      int width,
      int height
    )

#### Description [src]

When point sample rendering (also known as multisample rendering) has been enabled via `cogl_framebuffer_set_samples_per_pixel()` then you can optionally call this function (or cogl_framebuffer_resolve_samples()) to explicitly resolve the point samples into values for the final color buffer.

Some GPUs will implicitly resolve the point samples during rendering and so this function is effectively a nop, but with other architectures it is desirable to defer the resolve step until the end of the frame.

Use of this API is recommended if incremental, small updates to a framebuffer are being made because by default Cogl will implicitly resolve all the point samples of the framebuffer which can result in redundant work if only a small number of samples have changed.

Because some GPUs implicitly resolve point samples this function only guarantees that at-least the region specified will be resolved and if you have rendered to a larger region then it’s possible that other samples may be implicitly resolved.

#### Parameters

`x`

  Type: `int`

  Top-left x coordinate of region to resolve.

`y`

  Type: `int`

  Top-left y coordinate of region to resolve.

`width`

  Type: `int`

  Width of region to resolve.

`height`

  Type: `int`

  Height of region to resolve.